Skip to main content
POST
/
funnels
/
event
Create Event
curl --request POST \
  --url https://services.leadconnectorhq.com/funnels/event \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "locationId": "123456789",
  "type": "funnel",
  "funnelId": "123456789",
  "conversionEnabled": "true",
  "level": "123456789",
  "provider": "facebook",
  "pageIds": [
    "123456789"
  ],
  "events": "page_view",
  "pixelId": "123456789",
  "accessToken": "123456789"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
locationId
string
required

locationId

Example:

"123456789"

type
enum<string>
required

type

Available options:
funnel,
website,
webinar
Example:

"funnel"

funnelId
string
required

funnelId

Example:

"123456789"

conversionEnabled
boolean
required

Send Event via conversion api or code

Example:

"true"

level
enum<string>
required

userId

Available options:
funnel,
website,
webinar,
pages
Example:

"123456789"

provider
enum<string>
required

provider

Available options:
facebook
Example:

"facebook"

pageIds
string[]
required

pageId

Example:
["123456789"]
events
enum<string>[]
required

event names

Available options:
page_view
Example:

"page_view"

pixelId
string
required

pixelId

Example:

"123456789"

accessToken
string
required

accessToken

Example:

"123456789"

Response

200

Successful response

Last modified on March 4, 2026